package simulator.utils.workload;

import simulator.workload.reader.archive.swf.SWFFields;

public class SubmitTimeNormalizer implements TaskManagerInterface{

	protected long submitTimeOffset = Long.MIN_VALUE;
	
	public String[] manageTask(String[] task) {
		if(task == null)
			return null;
		
		if(this.submitTimeOffset == Long.MIN_VALUE) {
			this.submitTimeOffset = Long.valueOf(task[SWFFields.DATA_SUBMIT_TIME]);
		}
		
		long submitTime = Long.valueOf(task[SWFFields.DATA_SUBMIT_TIME]) - this.submitTimeOffset;
		task[SWFFields.DATA_SUBMIT_TIME] = String.valueOf(submitTime);
		
		return task;
	}

}
