package simulator.workload.reader.archive.gwf;

import simulator.workload.reader.archive.WAFields;

/**
 * 
 * @author Marcin Krystek
 *
 */
public abstract class GWFFields extends WAFields {
	
	public static final int DATA_JOB_ID = 0;
	public static final int DATA_SUBMIT_TIME = 1;
	public static final int DATA_WAIT_TIME = 2;
	public static final int DATA_RUN_TIME = 3;
	public static final int DATA_NPROCS = 4;
	public static final int DATA_AVERAGE_CPU_TIME_USED = 5;
	public static final int DATA_USED_MEMORY = 6;
	public static final int DATA_REQ_NPROCS = 7;
	public static final int DATA_REQ_TIME = 8;
	public static final int DATA_REQ_MEMORY = 9;
	public static final int DATA_STATUS = 10;
	public static final int DATA_USER_ID = 11;
	public static final int DATA_GROUP_ID = 12;
	public static final int DATA_EXECUTABLE_ID = 13;
	public static final int DATA_QUEUE_ID = 14;
	public static final int DATA_PARTITION_ID = 15;
	public static final int DATA_ORIG_SITE_ID = 16;
	public static final int DATA_LAST_RUN_SITE_ID = 17;
	public static final int DATA_JOB_STRUCTURE = 18;
	public static final int DATA_JOB_STRUCTURE_PARAMS = 19;
	public static final int DATA_USED_NETWORK = 20;
	public static final int DATA_USED_LOCALDISKSPACE = 21;
	public static final int DATA_USED_RESOURCES = 22;
	public static final int DATA_REQ_PLATFORM = 23;
	public static final int DATA_REQ_NETWORK = 24;
	public static final int DATA_REQ_LOCAL_DISK_SPACE = 25;
	public static final int DATA_REQ_RESOURCES = 26;
	public static final int DATA_VO_ID = 27;
	public static final int DATA_PROJECT_ID = 28;
	
	public static int DATA_FIELDS[] = {
			GWFFields.DATA_JOB_ID, GWFFields.DATA_SUBMIT_TIME, GWFFields.DATA_WAIT_TIME,
			GWFFields.DATA_RUN_TIME, GWFFields.DATA_NPROCS, GWFFields.DATA_AVERAGE_CPU_TIME_USED,
			GWFFields.DATA_USED_MEMORY, GWFFields.DATA_REQ_NPROCS, GWFFields.DATA_REQ_TIME,
			GWFFields.DATA_REQ_MEMORY, GWFFields.DATA_STATUS, GWFFields.DATA_USER_ID,
			GWFFields.DATA_GROUP_ID, GWFFields.DATA_EXECUTABLE_ID, GWFFields.DATA_QUEUE_ID,
			GWFFields.DATA_PARTITION_ID, GWFFields.DATA_ORIG_SITE_ID, GWFFields.DATA_LAST_RUN_SITE_ID,
			GWFFields.DATA_JOB_STRUCTURE, GWFFields.DATA_JOB_STRUCTURE_PARAMS, GWFFields.DATA_USED_NETWORK,
			GWFFields.DATA_USED_LOCALDISKSPACE, GWFFields.DATA_USED_RESOURCES, GWFFields.DATA_REQ_PLATFORM,
			GWFFields.DATA_REQ_NETWORK, GWFFields.DATA_REQ_LOCAL_DISK_SPACE, GWFFields.DATA_REQ_RESOURCES,
			GWFFields.DATA_VO_ID, GWFFields.DATA_PROJECT_ID };

}
